/*
   Test FIKaiserLPF

   $Id: tFIKaiserLPF.c 1.2 1999/06/04 libtsp-v4r0 $
*/

#include <libtsp.h>

#define NMAX 100


int
main (int argc, const char *argv[])

{
  int N;
  float h[NMAX];
  double Fc, alpha;

  sscanf (argv[1], "%d", &N);
  sscanf (argv[2], "%lg", &Fc);
  sscanf (argv[3], "%lg", &alpha);

  FIKaiserLPF (h, N, Fc, alpha);
  VRfPrint (stdout, "Kaiser window LPF:", h, N);

  return 0;
}
